---
pdf: false
comments: false
---
# Interne IT-Projekte

## Die Jahre 1999-2007

---

### Weitere Projekte in Kürze

* 2004: Einführung eines Systems zur Zollvereinfachung durch die znet group (Z) 

## Die Jahre 2009-2012

--- 

### Weitere Projekte in Kürze

* 2010/2011: Umzug in neues Firmengebäude in Pforzheim (inkl. Planung und komplette Netzwerkplanung)

## Die Jahre 2012-2024

### Bereitstellung virtualisierter Umgebungen

Um den wachsenden IT-Anforderungen des Unternehmens gerecht zu werden, wurde die Unternehmenslandschaft ab 2012 schrittweise virtualisiert. Der Prozess begann mit VMware vSphere Essentials und wurde später auf XCP-ng umgestellt. Als Bedienoberfläche wurde in diesem Zuge die Admin-Oberfläche Xen Orchestra (XO) für XCP-ng eingeführt, was es ermöglicht, virtuelle Maschinen über Terraform und Ansible einfach und schnell bereitzustellen. Die Virtualisierung umschloss insgesamt 8 physische Hosts und eine variable Anzahl von virtuellen Systemen, die bei Hetzner, OVH, AWS und Azure bereitgestellt wurden. Im Laufe der Zeit wurde auch Containervirtualisierung implementiert, entweder als standalone-Lösung oder orchestriert über Kubernetes oder Nomad.

Die zunehmende Virtualisierung ermöglichte es uns, die Entwicklungsprozesse schnell und nachhaltig zu unterstützen und mit der Entwicklung bei den Kunden Schritt zu halten. Die Virtualisierung der Umgebungen führten zur Schaffung von dedizierten DevOps-Stellen im Jahr 2018. Von 2012 bis 2017 war die IT für diese Aufgaben verantwortlich und man kann schon mit etwas Stolz behaupten, dass die IT hierfür der Vorreiter war.

---

### Einführung eines Servicedesks mit der OTRS Community Edition

Das Projekt begann im Jahr 2012 und zielt darauf ab, einen effizienten Servicedesk mit der Open-Source-Lösung OTRS Community Edition (CE) einzuführen. Hier sind die wesentlichen Schritte:

1. **Betriebssystem**: Als Betriebsystem wurde CentOS 7 gewählt, ein zu Red Hat Enterprise Linux (RHEL) kompatibles System. Das System wurde virtualisiert bereitgestellt.
2. **Installation und Konfiguration von OTRS CE**: Die Software wurde installiert und an die Bedürfnisse der IT-Abteilung angepasst.
3. **Queue-Management**: Mittels benutzerdefinierten Queues wurden Mitteilungen klassifiziert, um einen reibungslosen Ablauf zu gewährleisten.
4. **Schulungen**: Schulungsunterlagen wurden erstellt und Schulungen durchgeführt, um Servicemitarbeitern die effektive Nutzung des Systems beizubringen.
5. **Erweiterung des Benutzerstammesn**: Nach der Einführung wurde das System auf weitere Bereiche erweitert, darunter Office-Management und Kundensupport.
6. **Statistiken und Auswertungen**: Regelmäßige Berichte und Statistiken halfen dabei, den Erfolg des Servicedesk zu messen und zu verbessern.
7. **Best Practices**: Ein Leitfaden für Best Practices wurde erarbeitet, um die Arbeit am Servicedesk kontinuierlich zu optimieren.
8. **Systemumstellung**: Mit der Abkündigung von OTRS CE wurde 2021 auf den Fork OTOBO umgestellt, um die Zukunftssicherheit des Projekts zu gewährleisten. Das Betriebsystem wurde auf AlmaLinux 8 umgestellt.

---

### Einführung optimierter On-/Offboardingprozesse

Das Projekt zur Einführung optimierter On- und Offboardingprozesse wurde im Jahr 2012 gestartet. Der Fokus lag darauf, einen strukturierten und effizienten Prozess für die Einstellung neuer Mitarbeiter sowie den ordnungsgemäßen Abschluss von Arbeitsverhältnissen zu entwickeln. Im Rahmen dieses Projekts wurde zunächst eine umfassende Onboarding-Präsentation erstellt, um den Einstieg in das Unternehmen für neue Mitarbeiter zu erleichtern. Die Präsentation wurde im Rahmen eines nun stattfindenden 45-60 Minuten IT-Onboardingtermins mit dem neuen Mitarbeitenden durch die IT durchgeführt.

Ein wichtiger Schritt war die Standardisierung des Rechnersetups durch die Einführung von [Mobile Device Management (MDM) und Mobile Application Management (MAM)](/profiles/mdm-mam-journey/). Dies ermöglichte es, Geräte und Anwendungen effektiv zu verwalten und sicherzustellen, dass alle Mitarbeiter auf die notwendigen Ressourcen von Beginn an zugreifen konnten.

Im Laufe der Jahre wurde der Onboardingprozesse kontinuierlich weiterentwickelt, um ihn an die Bedürfnisse des Unternehmens anzupassen. Im Jahr 2021 wurde die Präsentation von PowerPoint auf Markdown umgestellt und mit dem Tool RevealJS aufbereitet. Dies ermöglichte es, die Präsentation jederzeit und für alle Mitarbeiter zugänglich in der aktuellen Fassung bereitzustellen, unabhängig davon, ob sie bereits lang beim Unternehmen arbeiteten oder neu hinzukamen. Dies ermöglichte der IT dynamische Informationen in die Dokumentation einbauen und auch von der Darstellung neue Wege beschreiten zu können, was in Atlassian Confluence in der Form nicht möglich war.

Ein wichtiger Aspekt des Projekts war auch die Einführung eines gesteuerten Offboardingprozesses, um das Ausscheiden von Mitarbeitern aus dem Unternehmen ordnungsgemäß und IT-seitig reibungslos ablaufen zu lassen. 

Die beiden entstandenen Prozesse wurden als BPMN 2.0-Diagramme dargestellt und in der IT-Dokumentation detailliert beschrieben. Neben den Prozessdiagrammen wurden auch die einzelnen Schritte des On- und Offboardingprozesses sowie die Inhalte der Präsentation ausführlich dokumentiert, um eine umfassende Anleitung für alle Mitarbeiter zu schaffen.

Zusätzlich wurden im Jahr 2020 aufgrund der Pandemie die On- und Offboardingprozesse auf Remote-Arbeit angepasst, um auch in dieser Situation effektiv und reibungslos ablaufen zu können. Die Umstellung war problemlos, da die Arbeit der IT seit 2012 von Grund auf für die Remotearbeit optimiert wurde.

Die On-/Offboardingprozesse wurden gemeinsam mit Human Resources und Office-Management durchgeführt und untereinander abgestimmt.

---

### Modernisierung der Infrastruktur

Das Projekt zur Modernisierung der Infrastruktur begann 2012 mit dem sukzessiven Umbauprozess der System- und Netzwerkinfrastruktur. Im Jahr 2013 wurde die Internetanbindung an den Standorten erheblich
verbessert: Die Bandbreite wurde von 20 Mbps auf 1 Gbps erhöht, und für Stuttgart und Berlin wurde 2019 sogar eine Anbindung mit 10 Gbps realisiert.

Ein Rechenzentrums-Bereich in Frankfurt wurde ebenfalls 2013 angemietet, um zentrale Dienste zu hosten. Der
Rechenzentrums-Bereich wurde über MPLS miteinander verbunden und als zentraler Knotenpunkt behandelt. Ein pfSense-Gateway im Rechenzentrum wurde eingerichtet und alle ein- und ausgehenden Verbindungen wurden darüber gesendet. Server und Storage wurden beschafft und durch die IT bereitgestellt und betrieben.

2020 wurde der Standort des Rechenzentrums nach Stuttgart-Vaihingen verlegt. Der Umzug wurde in Eigenverantwortung durch die IT vorbereitet und durchgeführt, wobei es zu einem Ausfall von nur einer Minute bei der Umschaltung auf das neue Rechenzentrum kam.

An den Standorten wurden ähnliche Upgrades durchgeführt, wobei die IT in die Planung der neuen Standorte einbezogen wurde. Netzwerktechnik von Ubiqiti wurde bereitgestellt, um die Modernisierung der Infrastruktur an den Standorten zu unterstützen. Es wurden Backupleitungen für die Standorte zugekauft und in die Infrastruktur integriert. Durch an den Standorten bereitgestellte Hardware konnten die Standorte für einige Zeit autark vom Rechenzentrum betrieben werden.

Die IT war in eigener Verantwortung für den Betrieb und die Umsetzung der Infrastrukturprojekte verantwortlich.

---

### Weitere Projekte in Kürze

* 2013: Umzug der IT in neues Firmengebäude in Berlin
* 2014: Umzug der IT in neues Firmengebäude in Stuttgart
* 2016: Umzug der IT in Übergangsfirmengebäude in Berlin
* 2017: Umzug der IT in neues Firmengebäude in Berlin
* 2017: Bereitstellung Helpdesk für Zusammenarbeit mit einem Kunden auf Zammad-Basis
* 2018: Umstellung der WebDAV-basierten Fileserver auf Seafile
* 2021: Umstellung der IT-Dokumentation auf Markdown-Dokumentation (mit Mkdocs Material)
* 2021: Downsizing Standort Berlin (-1 Stockwerk) und Aufgabe Standort Frankfurt